Skip to main content
GET
/
v1
/
company
/
executive
Get Company Executives
curl --request GET \
  --url https://api.aries.com/v1/company/executive \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/company/executive"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/company/executive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "executives": [
    {
      "age": 64,
      "compensation": 74294811,
      "currency": "USD",
      "name": "Mr. Timothy Cook",
      "position": "Mr. Timothy Cook",
      "sex": "male",
      "since": "1998"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Stock ticker symbol to research, such as AAPL.

Example:

"AAPL"

Response

Successful response

Response containing executive leadership data for a company.

executives
object[]

List of company executives and their details